## com.fusioncharts.sampledata
Class TransparentRenderData

    java.lang.Object
      com.fusioncharts.sampledata.TransparentRenderData

    public class TransparentRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `chartId2`
`protected java.lang.String` `height`
`protected java.lang.String` `swfFilename`
`protected java.lang.String` `uniqueId`
`protected java.lang.String` `url`
`protected java.lang.String` `width`

Constructor Summary
`TransparentRenderData()`

Method Summary
`java.lang.String` `getChartId()`
`java.lang.String` `getChartId2()` Returns the value in the field chartId2
`java.lang.String` `getHeight()`
`java.lang.String` `getSwfFilename()`
`java.lang.String` `getUniqueId()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`void` `setChartId(java.lang.String chartId)`
`void` `setChartId2(java.lang.String chartId2)` Sets the value for chartId2
`void` `setHeight(java.lang.String height)`
`void` `setSwfFilename(java.lang.String swfFilename)`
`void` `setUniqueId(java.lang.String uniqueId)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartId

    protected java.lang.String chartId

### chartId2

    protected java.lang.String chartId2

### url

    protected java.lang.String url

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### swfFilename

    protected java.lang.String swfFilename

### uniqueId

    protected java.lang.String uniqueId

Constructor Detail

### TransparentRenderData

    public TransparentRenderData()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getChartId2

    public java.lang.String getChartId2()

  Returns the value in the field chartId2

  Returns:
    the chartId2

### getHeight

    public java.lang.String getHeight()

### getSwfFilename

    public java.lang.String getSwfFilename()

  Returns:
    the swfFilename

### getUniqueId

    public java.lang.String getUniqueId()

  Returns:
    the uniqueId

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### setChartId

    public void setChartId(java.lang.String chartId)

### setChartId2

    public void setChartId2(java.lang.String chartId2)

  Sets the value for chartId2

  Parameters:
    `chartId2` - the chartId2 to set

### setHeight

    public void setHeight(java.lang.String height)

### setSwfFilename

    public void setSwfFilename(java.lang.String swfFilename)

  Parameters:
    `swfFilename` - the swfFilename to set

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Parameters:
    `uniqueId` - the uniqueId to set

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)